Subject: Re: [PATCH 4/4] ethtool: add PHY Fast Link Down tunable to man page

From: "John W. Linville" <[email-masked]>
Date: Fri, 29 Mar 2019 10:19:33 -0400

On Thu, Mar 28, 2019 at 09:12:45PM +0100, Heiner Kallweit wrote:
> On 28.03.2019 21:01, Andrew Lunn wrote:
> >> +	Sets the period after which the link is reported as down. Note that the PHY may choose
> >> +	the closest supported value. Only on reading back you get the actual value.
> > 
> > Hi Heiner
> > 
> > 'Only on reading back the tunable do you get the actual value.'
> > 
> > would be better.
> > 
> OK. I'll wait for more review feedback and will consider this in a v2.
> Currently all mails to John are bounced due to some spam filter rejecting mails from
> Google servers, so let's see when he reads this.

I'm having some mail server problems right now, but I got this message... ;-)

I like Andrew's wording suggestions, FWIW. Should I expect a repost?

John
 
> >>  .TE
> >>  .PD
> >>  .RE
> >> @@ -1090,6 +1106,14 @@ Link speed downshift after N failed 1000BASE-T auto-negotiation attempts.
> >>  Downshift is useful where cable does not have the 4 pairs instance.
> >>  
> >>  Gets the PHY downshift count/status.
> >> +.TP
> >> +.B fast\-link\-down
> >> +Depending on the mode it may take 0.5s - 1s until a broken link is reported as down.
> >> +In certain use cases a link-down event needs to be reported as soon as possible.
> >> +Some PHYs support a Fast Link Down feature, and partially even allow to configure
> >> +the period until until a broken link is reported as being down.
> > 
> > Some PHYs support a Fast Link Down Feature and may allow configuration
> > of the delay before a broken link is reported as being down.
> > 
> OK
> 
> >    Andrew
> > 
> Heiner
> 
> 

-- 
John W. Linville		Someday the world will need a hero, and you
[email-masked]			might be all we have.  Be ready.